using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace WebApplication1.Models
{
    // 部情報
    [Table("departments")]
    public class Department
    {
        // 部署の識別番号
        [Key]
        [Column("department_id")]
        public int DepartmentId { get; set; }

        // 部署の名前
        [Required]
        [StringLength(255)]
        [Column("department_name")]
        public string DepartmentName { get; set; }

        // 部署の予算
        [Column("department_budget")]
        public int? DepartmentBudget { get; set; }
    }
}